### Method

# Foundry LlmTool list_parameters

#### Declaration [src]

    GParamSpec**
    foundry_llm_tool_list_parameters (
      FoundryLlmTool* self,
      guint* n_parameters
    )

#### Description [src]

Gets a list of parmaeters for the tool which must be supplied when calling `foundry_llm_tool_call()`.

#### Parameters

`n_parameters`

  Type: `guint*`

  No description available.

  The argument will be set by the function.

#### Return value

Type: An array of `GParamSpec*`

No description available.

The length of the array is in the `n_parameters` argument.
The caller of the method takes ownership of the returned data container, but not the data inside it.
The return value can be `NULL`.